Upgrade to Gnome 3.16 in Ubuntu 15.04

Earlier in March this year, Gnome 3.16 stable version was released, but this version of Gnome was not made available for Ubuntu 15.04. Upgrading to Gnome 3.16 on Ubuntu 15.04 is currently possible but not recommended as you may likely run into issues since this release is largely untested fully. So ONLY do this if you really want to give it a try and ONLY on Ubuntu 15.04.

gnome314-02

Upgrade Gnome 3.16 in Ubuntu 15.05

sudo apt-get update

sudo apt-get dist-upgrade -y

sudo add-apt-repository ppa: gnome3-team / gnome3-staging

sudo add-apt-repository ppa: gnome3-team / gnome3

sudo apt-get update

sudo apt-get install gnome-shell gnome-session

After the installation is complete, restart the computer packages.

Install additional apps not installed by default like GNOME Maps (an application to display the desktop), Polari (IRC client), lightweight browser etc:

sudo apt-get install polari gnome-music gnome-photos gnome-maps gnome-weather epiphany-browser

Revert back to Gnome 3.14

sudo apt-get install ppa-purge

sudo ppa-purge ppa: gnome3-team / gnome3-staging

And change the repository with a stable Gnome:

sudo ppa-purge ppa: gnome3-team / gnome3

Then restart your computer and you will sink version of Gnome, which by default comes with Ubuntu 15.04. For any issues, follow the thread below:

http://askubuntu.com/questions/630720/cannot-log-in-to-gnome-3-16-dekstop/631906#631906

 
comments powered by Disqus